creCov/urls.py
from django.contrib import admin
from django.urls import path, include
from django.conf import settings
from django.conf.urls.static import static

urlpatterns = [
    path('admin/', admin.site.urls),
    path('', include('files_app.urls')),
    # path('', include('users.urls')),
] + static(settings.STATIC_URL, document_root=settings.STATIC_ROOT)
if settings.DEBUG:
    urlpatterns += static(settings.MEDIA_URL,
                          document_root=settings.MEDIA_ROOT)

files_app/urls.py
from django.urls import path
from .views import (
    home_view,
    resume_view,
    user_registration_view,
    contact_view,
    feedback_view,
    Survey_view,
    event_registration_view,
    product_order_view,
    newsletter_subscription_view,
    custum_view,
    )

app_name = 'files_app'

urlpatterns = [
    path('', home_view, name='home'),
    path('resume/', resume_view, name='resume'),
    path('user-registration/', user_registration_view,
         name='user_registration'),
    path('contact/', contact_view, name='contact'),
    path('feedback/', feedback_view, name='feedback'),
    path('survey/', Survey_view, name='survey'),
    path('event-registration/', event_registration_view,
         name='event_registration'),
    path('product-order/', product_order_view, name='product_order'),
    path('newsletter-subscription/', newsletter_subscription_view,
         name='newsletter_subscription'),
    path('custum/', custum_view,
         name='custum'),
]

files_app/models.py
from django.db import models

# Create your models here.

files_app/forms.py
from django import forms
from datetime import datetime
from django.utils.translation import gettext_lazy as _


class GenderChoise(forms.ChoiceField):
    MALE = 'male', _('Male')
    FEMAIL = 'femail', _('Femail')
    OTHER = 'other', _('Other')


class FormatForm(forms.Form):
    class FileFormat(forms.ChoiceField):
        PDF = 'Pdf', _("PDF")
        word = 'Word', _("WORD")
        img = 'Img', _('IMAGES')
        text = 'Text', _('TEXT')
    file_format = forms.ChoiceField(
        choices=FileFormat.choices, label='File Formet')


class ResumeForm(forms.Form):
    image = forms.ImageField(label='Image', required=False)
    first_name = forms.CharField(max_length=100, label='First Name')
    last_name = forms.CharField(max_length=100, label='Last Name')
    email = forms.EmailField(label='Email')
    phone_number = forms.CharField(max_length=20, label='Phone Number')
    address = forms.CharField(max_length=200, label='Address')
    summary = forms.CharField(widget=forms.Textarea, label='Summary')
    education = forms.CharField(widget=forms.Textarea, label='Education')
    experience = forms.CharField(widget=forms.Textarea, label='Experience')
    skills = forms.CharField(widget=forms.Textarea, label='Skills')
    certifications = forms.CharField(
        widget=forms.Textarea, label='Certifications')


class UserRegistrationForm(forms.Form):
    first_name = forms.CharField(max_length=100, label='First Name')
    last_name = forms.CharField(max_length=100, label='Last Name')
    email = forms.EmailField(label='Email')
    username = forms.CharField(max_length=100, label='Username')
    password = forms.CharField(widget=forms.PasswordInput(), label='Password')
    confirm_password = forms.CharField(
        widget=forms.PasswordInput(), label='Confirm Password')

    def clean(self):
        cleaned_data = super().clean()
        password = cleaned_data.get('password')
        confirm_password = cleaned_data.get('confirm_password')

        if password and confirm_password and password != confirm_password:
            raise forms.ValidationError("Passwords do not match.")

        return cleaned_data


class ContactForm(forms.Form):
    class DepartmentChoise(forms.ChoiceField):
        SALES = 'sales', _('Sales')
        SUPPORT = 'support', _('Support')
        BILLING = 'billing', _('Billing')
        GENERAL = 'general', _('General Inquiry')

    class UrgencyChoise(forms.ChoiceField):
        LOW = 'low', _('Low')
        MEDIUM = 'medium', _('Medium')
        HIGH = 'high', _('High')

    name = forms.CharField(max_length=100, label='Your Name')
    email = forms.EmailField(label='Your Email')
    phone_number = forms.CharField(max_length=20, label='Phone Number')
    subject = forms.CharField(max_length=200, label='Subject')
    message = forms.CharField(widget=forms.Textarea, label='Message')
    department = forms.ChoiceField(
        choices=DepartmentChoise.choices, label='Reasom for Contacting Us')
    urgency = forms.ChoiceField(
        choices=UrgencyChoise.choices, label='Urgency')
    attachment = forms.FileField(required=False, label='Attachment')

    def clean(self):
        cleaned_data = super().clean()
        email = cleaned_data.get('email')
        phone_number = cleaned_data.get('phone_number')

        if not email and not phone_number:
            raise forms.ValidationError(
                "You must provide either an email address or a phone number.")

        return cleaned_data


class FeedbackForm(forms.Form):
    class FeedbackTypeChoise(forms.ChoiceField):
        GENERAL = 'general', _('General Feedback')
        BUG_REPORT = 'bug_report', _('Bug Report')
        FEATURE_REQUEST = 'feature_request', _('Feature Request')
        COMPLAINT = 'complaint', _('Complaint')

    class FeedbackRatingChoise(forms.ChoiceField):
        EXCELLENT = 'excellent', _('Excellent')
        GOOD = 'good', _('Good')
        AVERAGE = 'average', _('Average')
        POOR = 'poor', _('Poor')

    name = forms.CharField(max_length=100, label='Your Name')
    email = forms.EmailField(label='Your Email')
    phone_number = forms.CharField(max_length=20, label='Phone Number')
    feedback_type = forms.ChoiceField(
        choices=FeedbackTypeChoise.choices, label='Feedback Type')
    feedback_rating = forms.ChoiceField(
        choices=FeedbackRatingChoise.choices, label='Feedback Rating')
    feedback_details = forms.CharField(
        widget=forms.Textarea, label='Feedback Details')
    additional_comments = forms.CharField(
        widget=forms.Textarea, required=False, label='Additional Comments')
    attachment = forms.FileField(required=False, label='Attachment')

    def clean(self):
        cleaned_data = super().clean()
        email = cleaned_data.get('email')
        phone_number = cleaned_data.get('phone_number')

        if not email and not phone_number:
            raise forms.ValidationError(
                "You must provide either an email address or a phone number.")

        return cleaned_data


class SurveyForm(forms.Form):
    class EducationLevelChoise(forms.ChoiceField):
        HIGH_SCHOOL = 'high_school', _('High School')
        COLLEGE = 'college', _('College')
        GRADUATE_SCHOOL = 'graduate_school', _('Graduate School')
        OTHER = 'other', _('Other')

    class SatisfactionRatingChoise(forms.ChoiceField):
        VERY_DISSATISFIED = 1, _('1 - Very Dissatisfied')
        DISSATISFIED = 2, _('2 - Dissatisfied')
        NEUTRAL = 3, _('3 - Neutral')
        SATISFIED = 4, _('4 - Satisfied')
        VERY_SATISFIED = 5, _('5 - Very Satisfied')

    name = forms.CharField(max_length=100, label='Your Name')
    email = forms.EmailField(label='Your Email')
    age = forms.IntegerField(label='Your Age')
    gender = forms.ChoiceField(
        choices=GenderChoise.choices, label='Your Gender')
    education_level = forms.ChoiceField(
        choices=EducationLevelChoise.choices, label='Your Education Level')
    occupation = forms.CharField(max_length=100, label='Your Occupation')
    country = forms.CharField(max_length=100, label='Your Country')
    satisfaction_rating = forms.ChoiceField(
        choices=SatisfactionRatingChoise.choices,
        label='Overall Satisfaction Rating')
    favorite_feature = forms.CharField(
        max_length=200, label='Your Favorite Feature')
    improvement_suggestions = forms.CharField(
        widget=forms.Textarea, label='Improvement Suggestions', required=False)
    interested_in_future_updates = forms.BooleanField(
        label='Interested in Future Updates', required=False)
    would_recommend = forms.BooleanField(
        label='Would Recommend', required=False)
    additional_comments = forms.CharField(
        widget=forms.Textarea, label='Additional Comments', required=False)


class EventRegistrationForm(forms.Form):
    full_name = forms.CharField(max_length=100, label=_('Full Name'))
    email = forms.EmailField(label=_('Email'))
    phone_number = forms.CharField(max_length=20, label=_('Phone Number'))
    event_name = forms.CharField(max_length=200, label=_('Event Name'))
    event_date = forms.DateField(label=_('Event Date'))
    dietary_restrictions = forms.CharField(
        widget=forms.Textarea, label=_('Dietary Restrictions'), required=False)
    additional_guests = forms.IntegerField(
        label=_('Number of Additional Guests'), min_value=0, initial=0)
    emergency_contact_name = forms.CharField(
        max_length=100, label=_('Emergency Contact Name'), required=False)
    emergency_contact_phone = forms.CharField(
        max_length=20, label=_('Emergency Contact Phone'), required=False)
    special_requests = forms.CharField(
        widget=forms.Textarea, label=_('Special Requests'), required=False)
    agree_to_terms = forms.BooleanField(
        label=_('I agree to the terms and conditions'), required=True)

    def clean(self):
        cleaned_data = super().clean()
        event_date = cleaned_data.get('event_date')

        if event_date and event_date < datetime.date.today():
            raise forms.ValidationError(_('Event date cannot be in the past.'))

        return cleaned_data


class ProductOrderForm(forms.Form):
    class SizeChoise(forms.ChoiceField):
        SMALL = 'small', _('Small')
        MEDIUM = 'medium', _('Medium')
        LARGE = 'large', _('Large')

    full_name = forms.CharField(max_length=100, label='Full Name')
    email = forms.EmailField(label='Email')
    phone_number = forms.CharField(max_length=20, label='Phone Number')
    address_line1 = forms.CharField(max_length=200, label='Address Line 1')
    address_line2 = forms.CharField(
        max_length=200, label='Address Line 2', required=False)
    city = forms.CharField(max_length=100, label='City')
    state = forms.CharField(max_length=100, label='State/Province')
    country = forms.CharField(max_length=100, label='Country')
    zip_code = forms.CharField(max_length=20, label='ZIP/Postal Code')
    product_name = forms.CharField(max_length=200, label='Product Name')
    quantity = forms.IntegerField(label='Quantity', min_value=1, initial=1)
    size = forms.ChoiceField(
        choices=SizeChoise.choices, label='Size')
    color = forms.CharField(max_length=50, label='Color')
    additional_notes = forms.CharField(
        widget=forms.Textarea, label='Additional Notes', required=False)
    terms_and_conditions = forms.BooleanField(
        label='I agree to the terms and conditions', required=True)


class NewsletterSubscriptionForm(forms.Form):
    email = forms.EmailField(label=_('Email'), max_length=100)
    first_name = forms.CharField(
        label=_('First Name'), max_length=50, required=False)
    last_name = forms.CharField(
        label=_('Last Name'), max_length=50, required=False)
    gender = forms.ChoiceField(
        label=_('Gender'), choices=GenderChoise.choices, required=False)
    age = forms.IntegerField(
        label=_('Age'), min_value=0, max_value=150, required=False)

files_app/views.py
from django.shortcuts import render
from django.http import FileResponse
from . import forms
from files_app.helpers.converter import get_generate

global SELECTED_OPTION


def home_view(request):
    if request.method == 'POST':
        SELECTED_OPTION = request.POST.get('selected_option')
        print("*************")
        print(SELECTED_OPTION)
    return render(request, 'home/index.html')


def resume_view(request):
    if request.method == 'POST':
        SELECTED_OPTION = request.POST.get('selected_option')
        form = forms.ResumeForm(request.POST, request.FILES)
        if form.is_valid():
            first_name = form.cleaned_data['first_name']
            last_name = form.cleaned_data['last_name']
            email = form.cleaned_data['email']
            phone_number = form.cleaned_data['phone_number']
            address = form.cleaned_data['address']
            summary = form.cleaned_data['summary']
            education = form.cleaned_data['education']
            experience = form.cleaned_data['experience']    
            skills = form.cleaned_data['skills']
            certifications = form.cleaned_data['certifications']

            data_dict = {
                'first_name': first_name,
                'last_name': last_name,
                'email': email,
                'phone_number': phone_number,
                'address': address,
                'summary': summary,
                'education': education,
                'experience': experience,
                'skills': skills,
                'certifications': certifications}

            print("*************")
            print(SELECTED_OPTION)

            path = get_generate(SELECTED_OPTION, data=data_dict)

            return FileResponse(open(path, 'rb'),
                                content_type='application/pdf')
        else:
            context = {'form': form}
            return render(request, "forms/resume.html", context)
    else:
        context = {'form': forms.ResumeForm()}
        return render(request, "forms/resume.html", context)


def user_registration_view(request):
    context = {}
    context['form'] = forms.UserRegistrationForm()
    return render(request, "forms/user_registration.html", context)


def contact_view(request):
    context = {}
    context['form'] = forms.ContactForm()
    return render(request, "forms/contact.html", context)


def feedback_view(request):
    context = {}
    context['form'] = forms.FeedbackForm()
    return render(request, "forms/feedback.html", context)


def Survey_view(request):
    context = {}
    context['form'] = forms.SurveyForm()
    return render(request, "forms/survey.html", context)


def event_registration_view(request):
    context = {}
    context['form'] = forms.EventRegistrationForm()
    return render(request, "forms/event_registration.html", context)


def product_order_view(request):
    context = {}
    context['form'] = forms.ProductOrderForm()
    return render(request, "forms/product_order.html", context)


def newsletter_subscription_view(request):
    context = {}
    context['form'] = forms.NewsletterSubscriptionForm()
    return render(request, "forms/newsletter_subscription.html", context)


def custum_view(request):
    return render(request, "forms/custum.html", )

files_app/templates/home/index.html
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="UTF-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>Centered Navbar</title>
  <!-- Bootstrap CSS -->
  <link href="https://stackpath.bootstrapcdn.com/bootstrap/4.5.2/css/bootstrap.min.css" rel="stylesheet">
  <style>
    .navbar-nav {
      margin: auto;
      display: flex;
      flex-direction: row;
    }
    .navbar-collapse {
      justify-content: center;
    }
    {% block style%}
    {% endblock %}
  </style>
</head>
<body>
<nav class="navbar navbar-expand-lg navbar-light bg-light">
  <a class="navbar-brand" href="#">Navbar</a>
  <button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#navbarNavDropdown" aria-controls="navbarNavDropdown" aria-expanded="false" aria-label="Toggle navigation">
    <span class="navbar-toggler-icon"></span>
  </button>
  <div class="collapse navbar-collapse" id="navbarNavDropdown">
    <ul class="navbar-nav">
      <li class="nav-item active">
        <a class="nav-link" href="{% url 'files_app:custum' %}">Custum <span class="sr-only">(current)</span></a>
      </li>
      <li class="nav-item">
        <a class="nav-link" href="{% url 'files_app:resume' %}">Resume</a>
      </li>
      <li class="nav-item">
        <a class="nav-link" href="{% url 'files_app:user_registration' %}">User-Registration</a>
      </li>
      <li class="nav-item">
        <a class="nav-link" href="{% url 'files_app:contact' %}">Contact</a>
      </li>
      <li class="nav-item">
        <a class="nav-link" href="{% url 'files_app:feedback' %}">Feedback</a>
      </li>
      <li class="nav-item">
        <a class="nav-link" href="{% url 'files_app:survey' %}">Survey</a>
      </li>
      <li class="nav-item">
        <a class="nav-link" href="{% url 'files_app:event_registration' %}">Event-Registration</a>
      </li>
      <li class="nav-item">
        <a class="nav-link" href="{% url 'files_app:product_order' %}">Product-Order</a>
      </li>
      <li class="nav-item">
        <a class="nav-link" href="{% url 'files_app:newsletter_subscription' %}">Newsletter-Subscription</a>
      </li>
      <li class="nav-item dropdown">
        <a class="nav-link dropdown-toggle" href="#" id="navbarDropdownMenuLink" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
          User Profile
        </a>
        <div class="dropdown-menu" aria-labelledby="navbarDropdownMenuLink">
          <a class="dropdown-item" href="#">Login</a>
          <a class="dropdown-item" href="#">Logout</a>
          <a class="dropdown-item" href="#">something </a>
        </div>
      </li>
      <form method="post" action="{% url 'files_app:home' %}">
        {% csrf_token %}
        <li class="nav-item dropdown">
            <a class="nav-link dropdown-toggle" href="#" id="navbarDropdownMenuLink" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
                <span id="selectedOption">File Format</span>
            </a>
            <div class="dropdown-menu" aria-labelledby="navbarDropdownMenuLink">
                <a class="dropdown-item" href="#" data-value="Pdf">PDF</a>
                <a class="dropdown-item" href="#" data-value="Word">WORD</a>
                <a class="dropdown-item" href="#" data-value="Img">Image</a>
                <a class="dropdown-item" href="#" data-value="Text">Text</a>
            </div>
        </li>
    </form>
    
    </ul>
  </div>
</nav>

{% block content %}
{% endblock %}

<!-- Bootstrap JS and dependencies -->
<script src="https://code.jquery.com/jquery-3.5.1.slim.min.js"></script>
<script src="https://cdn.jsdelivr.net/npm/@popperjs/core@2.5.4/dist/umd/popper.min.js"></script>
<script src="https://stackpath.bootstrapcdn.com/bootstrap/4.5.2/js/bootstrap.min.js"></script>
<script>
  // Script to handle dropdown item clicks
  document.querySelectorAll('.dropdown-item').forEach(item => {
      item.addEventListener('click', event => {
          document.getElementById('selectedOption').innerText = item.innerText;
          document.getElementById('selectedOptionInput').value = item.getAttribute('data-value');
      });
  });

  // Script to save data from both forms
  function saveData() {
      // Get input values from both forms
      var navInputValue = document.getElementById('navForm').elements.navInput.value;
      var mainInputValue = document.getElementById('mainForm').elements.mainInput.value;

      // Combine data from both forms however you want
      var combinedData = "Nav Form Data: " + navInputValue + ", Main Form Data: " + mainInputValue;

      // For demonstration purposes, you can just log the combined data
      console.log(combinedData);

      // Here you would typically send the combined data to your server using AJAX or some other method
  }
</script>


{% block script %}
{% endblock %}  

</body>
</html>